<?php
/*
Plugin Name: いつもピチピチギャル
Description: 全投稿の最終更新日を現在日付に毎日自動更新するスンゴいプラグイン
Version: 1.0.0
Author: Kohei Izumi
Author URI: https://traveler0401.com/
*/
if(!defined('ABSPATH')) { exit; }

function update_post_modified_date() {
    $args = array(
        'post_type'      => 'post',
        'post_status'    => 'publish',
        'posts_per_page' => -1,
    );

    $all_posts = new WP_Query($args);

    if ($all_posts->have_posts()) {
        while ($all_posts->have_posts()) {
            $all_posts->the_post();
            $post_id = get_the_ID();

            $current_date = current_time('mysql');

            wp_update_post(array(
                'ID'            => $post_id,
                'post_modified' => $current_date,
                'post_modified_gmt' => get_gmt_from_date($current_date),
            ));
        }
        wp_reset_postdata();
    }
}

if (!wp_next_scheduled('update_post_modified_date_event')) {
    wp_schedule_event(time(), 'daily', 'update_post_modified_date_event');
}

add_action('update_post_modified_date_event', 'update_post_modified_date');
